<?

 function update_from_zip()
 { set_time_limit(0) ;
   ?><h1>Обновление с архива</h1>
     <INPUT type=file name='source_zip'><button cmd='aspmo_setup/update_from_zip_apply' script="update_from_zip.php">Загрузить и обновить</button>
   <?
 }

 function update_from_zip_apply()
 { include(_DIR_TO_ENGINE.'/AddOns/pclzip.lib.php') ;
   ?><h1>Обновление с архива</h1><?
   $temp_file_dir=_DIR_TO_ROOT.'/arh.zip' ;
   set_time_limit(0) ;

   if (stripos($_FILES['source_zip']['name'],'zip')!==false)
     {   if (move_uploaded_file($_FILES['source_zip']['tmp_name'],$temp_file_dir))
	     {  $zip = new ZipArchive;
	        if ($zip->open($temp_file_dir) === TRUE)
            { $zip->extractTo(_DIR_TO_ROOT);
	          $zip->close();
	          echo 'ok';
	        }
            else { echo 'ошибка'; }
	     } else echo 'Не удается загрузить файл '.hide_server_dir($temp_file_dir).'<br>';
     } else echo 'Загруженный файл не является архивом<br>' ;

 }
?>